%define with_printer_applet 0
%{?_with_printer_applet: %{expand: %%global with_printer_applet 1}}

%define subrel 1

Name: kdeadmin4
Version: 4.2.4
Release: %mkrel 0
Epoch: 2
Summary: K Desktop Environment - Administrative Tools
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeadmin-%version.tar.bz2
Patch0:   kdeadmin-4.0.84-fix-menu-entries.patch
Patch1:   kdeadmin-4.1.70-disable-kpackage-doc.patch
License: GPL
Requires: pciutils
BuildRequires: X11-devel 
BuildRequires: freetype2-devel 
BuildRequires: bzip2-devel 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel
BuildRequires: png-devel 
BuildRequires: rpm-devel 
BuildRequires: libz-devel
BuildRequires: pam-devel
BuildRequires: libxml2-utils
BuildRequires: kdelibs4-devel >= %version
BuildRequires: kdepimlibs4-devel >= %version
BuildRequires: python-kde4
BuildRequires: python-qt4
BuildRequires: python-devel
BuildRequires: python-cups
%if %with_printer_applet
BuildRequires: system-config-printer-libs
%else
BuildConflicts: system-config-printer-libs
%endif
%ifarch %{ix86} x86_64
BuildRequires:	lilo
%endif
Obsoletes: ksysv
Requires: kcron
Requires: kuser
Requires: knetworkconf 
Requires: ksystemlog

%description
The kdeadmin package contains packages that usually only a system
administrator might need:
	- kcron
    		Editor for the cron command scheduler.
	- kuser
   		An user manager.
	- kde4-lilo
	    	A plugin for KControl to manage the Linux boot loader LILO.

%files
%defattr(-,root,root)
%doc README

#------------------------------------------------------------------------	

%package -n kuser
Group: Graphical desktop/KDE
Summary:  Users and groups manager
Provides: kuser4
Conflicts: kdeadmin4 < 2:4.0.1
Obsoletes: kde4-kuser < 2:4.0.68
Provides: kde4-kuser = %epoch:%version
Requires: kdebase4-runtime >= 1:%version 

%description -n kuser
Kuser is a tool to create, remove and modify user accounts and groups.

%files -n kuser
%defattr(-,root,root)
%_kde_bindir/kuser
%_kde_datadir/applications/kde4/kuser.desktop
%_kde_datadir/apps/kuser
%_kde_datadir/config.kcfg/kuser.kcfg
%_kde_docdir/*/*/kuser
%_kde_iconsdir/*/*/*/kuser*

#------------------------------------------------------------------------	

%package -n kcron
Group:      Graphical desktop/KDE
Summary:    Graphical task scheduler
Provides:   kcron4
Conflicts:  kdeadmin4 < 2:4.0.1
Obsoletes: kde4-kcron < 2:4.0.68
Provides: kde4-kcron = %epoch:%version
Requires: kdebase4-runtime >= 1:%version

%description -n kcron
Kcron is a graphical frontend to the cron system, used to schedule regular 
tasks on a Unix system.

%files -n kcron
%defattr(-,root,root)
%_kde_datadir/kde4/services/kcm_cron.desktop
%_kde_libdir/kde4/kcm_cron.so
%_kde_docdir/*/*/kcron

#------------------------------------------------------------------------

%package -n ksystemlog
Group:      Graphical desktop/KDE
Summary:    System log viewer tool for KDE 4
Provides:   ksystemlog4
Requires: kdebase4-runtime >= 1:%version

%description -n ksystemlog
This program is developed for being used by beginner users,
which don't know how to find information about their Linux system,
and how the log files are in their computer.
But it is also designed for advanced users,
who want to quickly see problems occuring on their server.

KSystemLog has the following features :

- View all the main log of your system, by selecting them
 directly in a menu
 - Auto display new lines logged in bold
 - Tabbed view to allow displaying several logs at the same time
 - Saving in a file and copying to clipboard the selected log
   lines are also implemented (and email to your friends)
   - It can parse the following log files of your system :

   - X.org (or Xfree) logs
   - System logs (using the Syslog parser of KSystemLog)
   - Kernel logs
   - Daemons logs
   - Cron logs
   - Boot logs
   - Authentication logs
   - Cups logs
   - ACPID logs

%files -n ksystemlog
%defattr(-,root,root)
%_kde_bindir/ksystemlog
%_kde_appsdir/ksystemlog
%_kde_iconsdir/hicolor/*/apps/ksystemlog.*
%_kde_datadir/applications/kde4/ksystemlog.desktop
%_kde_docdir/*/*/ksystemlog

#------------------------------------------------------------------------	
%package -n knetworkconf
Group: Graphical desktop/KDE
Summary: KDE Control Center module to configure network
Provides: knetworkconf4
Conflicts: kdeadmin4 < 2:4.0.1
Obsoletes: kde4-knetworkconf < 2:4.0.68
Provides: kde4-knetworkconf = %epoch:%version
Requires: kdebase4-runtime >= 1:%version

%description -n knetworkconf
KNetworkConf is a KDE Control Center module to configure TCP/IP settings on a 
Linux machine.

%files -n knetworkconf
%defattr(-,root,root)
%_kde_datadir/kde4/services/kcm_knetworkconfmodule.desktop
%_kde_libdir/kde4/kcm_knetworkconfmodule.so
%_kde_appsdir/knetworkconf
%_kde_docdir/*/*/kcontrol/knetworkconf
%_kde_iconsdir/*/*/*/knetworkconf*
%_kde_iconsdir/*/*/*/networ*

#------------------------------------------------------------------------
%if %with_printer_applet
%package system-config-printer-kde
Summary: View current print jobs and configure new printers
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/printer-applet
Requires: %name-core = %version
Requires: python-kde4 >= 1:4.1.0
Requires: python-cups
Requires: python-qt4
Requires: python-dbus
Requires: hal-cups-utils
Requires: kdebase4-runtime >= 1:%version

%description system-config-printer-kde
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%files system-config-printer-kde
%defattr(-,root,root)
%_kde_bindir/system-config-printer-kde
%_kde_datadir/applications/kde4/system-config-printer-kde.desktop
%_kde_appsdir/system-config-printer-kde
%endif
#------------------------------------------------------------------------

%ifarch %{ix86} x86_64
%package -n kde4-lilo
Group:      Graphical desktop/KDE
Summary:    Configure lilo
Obsoletes:  %name-lilo
Conflicts:  kdeadmin4 < 2:4.0.1
Requires: kdebase4-runtime >= 1:%version

%description -n kde4-lilo
lilo-config is a kcontrol plugin for configuring LILO, the most commonly
used Linux boot loader.

%files -n kde4-lilo
%defattr(-,root,root)
%_kde_libdir/kde4/kcm_lilo.so
%_kde_docdir/*/*/lilo-config
%_kde_datadir/kde4/services/lilo.desktop

%if %mdkversion < 200900
%post -n kde4-lilo -p /sbin/ldconfig
%postun -n kde4-lilo -p /sbin/ldconfig
%endif
%endif

#------------------------------------------------------------------------

%prep
%setup -q -n kdeadmin-%version
%patch0 -p0
%patch1 -p0

%build
%cmake_kde4 -DBUILD_kpackage=FALSE

%make

%install
rm -fr %buildroot
make -C build DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Fri May 29 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.4-0.1mdv2009.0
+ Revision: 381148
- Major KDE 4.2.4 update
- Major KDE 4.2.3 update

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.1.4

* Sat Nov 29 2008 Security Team <security@mandriva.com> 2:4.1.3-1.1mdv2009.0
+ Revision: 307765
- + Revision: 299907
  Official KDE 4.1.3 update.
  Fixed rpm creation

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.
    - Fixed rpm creation
    - KDE 4.1.2 arriving.
    - Upgrade to forthcoming 4.1.1 packages
    - kpackage removed as smart is almost obsoleted and Mandriva uses different approach to rpm

  + root <root>
    - Branching 2009.0 release for updates.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing requires on ksystemlog

  + Funda Wang <fundawang@mandriva.org>
    - fix description
    - bump smart as requirement, as it is hardcoded in kpackage

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-1mdv2009.0
+ Revision: 247591
- Update with Release Candidate 1 - 4.1.0

  + Funda Wang <fundawang@mandriva.org>
    - suggests instead of requires. It can still use rpm to install packages
    - kpackage requires smart

* Sun Jul 13 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.98-1mdv2009.0
+ Revision: 234234
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.85-1mdv2009.0
+ Revision: 232410
- New version kde 4.0.85
- Do not show Kuser and KPackage on the menu (menu cleaning task)

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.84-1mdv2009.0
+ Revision: 229405
- Update with new snapshot tarballs 4.0.84

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.83-1mdv2009.0
+ Revision: 226120
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.82-1mdv2009.0
+ Revision: 218301
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.81-1mdv2009.0
+ Revision: 214721
- Update with new snapshot tarballs 4.0.81

  + Michael Scherer <misc@mandriva.org>
    - use the same logic as buildrequires to decide if kde4-lilo is compiled ( ie, fix the logic for sparc, or mips )
    - fix typo and missing description

* Sat May 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.80-2mdv2009.0
+ Revision: 210965
- Versionnate buildrequires

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.80-1mdv2009.0
+ Revision: 210779
- New upstream kde4 4.1 beta1

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Own %%_kde_appsdir/ksystemlog

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 2:4.0.74-1mdv2009.0
+ Revision: 208073
- New version 4.0.74

* Tue May 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.73-1mdv2009.0
+ Revision: 206790
- Fix file list
- Update to kde 4.0.73

* Thu May 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.72-1mdv2009.0
+ Revision: 199816
- Update to kde 4.0.72
- New snapshot 4.0.70
- Fix epoch
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.3-1mdv2008.1
+ Revision: 191005
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.2-2mdv2008.1
+ Revision: 182258
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.2-1mdv2008.1
+ Revision: 177449
- New upstream bugfix release 4.0.2

* Wed Feb 20 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:4.0.1-2mdv2008.1
+ Revision: 173184
- fix no-buildroot-tag

* Mon Feb 11 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.1-1mdv2008.1
+ Revision: 165293
- Splitted packages
- Fixed file list and duplicates
- Update for 4.0.1

* Wed Jan 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.0-1mdv2008.1
+ Revision: 156943
- Update to kde 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.750650.1mdv2008.1
+ Revision: 137426
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.746368.1mdv2008.1
+ Revision: 117174
- New snapshot
- New snapshot
- New snapshot
- New version 3.91

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 2:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25718
- new snapshot

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 2:3.80.3-0.20070502.5mdv2008.0
+ Revision: 20526
- new snapshot
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.5mdv2007.1
+ Revision: 141315
- new snapshot
- Fix buildrequires
- new snapshot
- Fix spec file
- new snapshot
- 3.80.3

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 2:3.80.2-0.20070215.4mdv2007.1
+ Revision: 121693
- new snapshot
- Fix spec file
- new snapshot
- Fix description
- new snapshot
- Fix buildrequires
- update
- Fix buildrequires
- Import kdeadmin4

* Fri Nov 03 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-3mdv2007.0
- First package

